# Envoy

<img src="https://git.kske.dev/repo-avatars/33-31e14133097b01b748ab361e3c3adb47" style="display: block" width="150" height="150">

Envoy is a messenger written in Java.
On this page, the project is explained for different user groups.

## Regular User

To use Envoy to join an existing server, download the client from the [release page](https://git.kske.dev/zdm/envoy/releases).

When starting it for the first time, you can register yourself at a server of your choice.
After connecting to the server, you can add other users to your contact list and send them messages.

To chat with multiple users at once, you can create a group.
If you want to transfer a file to another user, you can attach it to a message.

On the settings page some convenience features can be configured, as well as the color theme.

## Server Administrator

To set up an Envoy server, download the package from the release page.

Because the project lacks external documentation for the moment, please refer to the Javadoc inside the source code to configure your Envoy instance.

## Programmer

Envoy is organized as a Maven project that is split into three modules.

### Client

* Sending and receiving of messages, groups, sending images and voice messages
* User interface (UI)
* Client configuration
* Advanced logging possibilities
* Tons of Events to interact with
* Detailed Javadoc to improve readability of code

### Common
* Basic datatypes
* Events sent between client and server
* Configuration API
* Logging API based on `java.util.logging`
* Envoy-specific Exception
* Useful utility classes

### Server
* Non-blocking connectivity infrastructure based on `java.nio`
* Processors to handle incoming events
* Database connectivity
* Databse entities
* Utility classes to check client version compatability and password validity
