package envoy.client.net;

import java.util.function.Consumer;
import java.util.logging.Logger;

import envoy.data.Message.MessageStatus;
import envoy.event.GroupMessageStatusChange;
import envoy.util.EnvoyLog;

import dev.kske.eventbus.EventBus;

/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>GroupMessageStatusChangePocessor.java</strong><br>
 * Created: <strong>03.07.2020</strong><br>
 *
 * @author Maximilian K&auml;fer
 * @since Envoy Client v0.1-beta
 */
public final class GroupMessageStatusChangeProcessor implements Consumer<GroupMessageStatusChange> {

	private static final Logger logger = EnvoyLog.getLogger(GroupMessageStatusChangeProcessor.class);

	@Override
	public void accept(GroupMessageStatusChange evt) {
		if (evt.get().ordinal() < MessageStatus.RECEIVED.ordinal()) logger.warning("Received invalid group message status change " + evt);
		else EventBus.getInstance().dispatch(evt);
	}
}
