package envoy.event;

/**
 * Used to communicate with a client that his request to create a group might
 * have been rejected as it might be disabled on his current server.
 * <p>
 * Project: <strong>common</strong><br>
 * File: <strong>GroupCreationResult.java</strong><br>
 * Created: <strong>22.08.2020</strong><br>
 *
 * @author Leon Hofmeister
 * @since Envoy Common v0.2-beta
 */
public class GroupCreationResult extends Event<Boolean> {

	private static final long serialVersionUID = 1L;

	/**
	 * Creates a new {@code GroupCreationResult}.
	 *
	 * @param success whether the GroupCreation sent before was successful
	 * @since Envoy Common v0.2-beta
	 */
	public GroupCreationResult(boolean success) { super(success); }
}
