package envoy.event;

/**
 * This event can be used to transmit a new authentication token to a client.
 * <p>
 * Project: <strong>envoy-common</strong><br>
 * File: <strong>NewAuthToken.java</strong><br>
 * Created: <strong>19.09.2020</strong><br>
 *
 * @author Kai S. K. Engelbart
 * @since Envoy Common v0.2-beta
 */
public class NewAuthToken extends Event<String> {

	private static final long serialVersionUID = 0L;

	/**
	 * Constructs a new authentication token event.
	 *
	 * @param token the token to transmit
	 * @since Envoy Common v0.2-beta
	 */
	public NewAuthToken(String token) {
		super(token);
	}

	@Override
	public String toString() { return "NewAuthToken"; }
}
