package envoy.event;

/**
 * This class acts as a notice to the user whether his
 * {@link envoy.event.PasswordChangeRequest} was successful.
 * <p>
 * Project: <strong>envoy-common</strong><br>
 * File: <strong>PasswordChangeResult.java</strong><br>
 * Created: <strong>01.08.2020</strong><br>
 *
 * @author Leon Hofmeister
 * @since Envoy Common v0.2-beta
 */
public final class PasswordChangeResult extends Event<Boolean> {

	private static final long serialVersionUID = 1L;

	/**
	 * Creates an instance of {@code PasswordChangeResult}.
	 *
	 * @param value whether the preceding {@link envoy.event.PasswordChangeRequest}
	 *              was successful.
	 * @since Envoy Common v0.2-beta
	 */
	public PasswordChangeResult(boolean value) { super(value); }
}
